unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, NCOci, NCOciWrapper, NCOciDB, StdCtrls, Buttons, ComCtrls;

type
  TForm1 = class(TForm)
    dtbsDefault: TOCIDatabase;
    strdprcSysDbms_utilityComma_to_table: TOCIStoredProc;
    strdprcSysDbms_utilityTable_to_comma: TOCIStoredProc;
    Edit1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Memo1: TMemo;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    StatusBar1: TStatusBar;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
    with strdprcSysDbms_utilityComma_to_table do begin
        Params[0].AsString := Edit1.Text;
        ExecProc;
        Memo1.Lines.Assign(Params[2]);
        StatusBar1.SimpleText := strdprcSysDbms_utilityComma_to_table.StoredProcName +
            ' returns a table with ' + IntToStr(Memo1.Lines.Count) + ' elements';
    end;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
    with strdprcSysDbms_utilityTable_to_comma do begin
        Params[0].Assign(Memo1.Lines);
        ExecProc;
        Edit1.Text := Params[2].AsString;
        StatusBar1.SimpleText := strdprcSysDbms_utilityTable_to_comma.StoredProcName +
            ' returns a string ' + Edit1.Text;
    end;
end;

end.
